<?php
/* 
	Appointment: Закладки
	File: fave.php 
 
*/
if(!defined('MOZG'))
	die('Hacking attempt!');

if($ajax == 'yes')
	NoAjaxQuery();

if($logged){
	$act = $_GET['act'];
	$user_id = $user_info['user_id'];
	
	if($_GET['page'] > 0) $page = intval($_GET['page']); else $page = 1;
	$gcount = 10;
	$limit_page = ($page-1)*$gcount;
	
	$metatags['title'] = $lang['fave'];
	
	switch($act){
		
		//################### Добвление юзера в закладки ###################//
		case "add":
			NoAjaxQuery();
			$fave_id = intval($_POST['fave_id']);
			//Проверяем на факт существования юзера которого добавляем в закладки
			$row = $db->super_query("SELECT `user_id` FROM `".PREFIX."_users` WHERE user_id = '{$fave_id}'");
			if($row AND $user_id != $fave_id){
			
				//Проверям на факт существование этого юзера в закладках, если нету то пропускаем
				$db->query("SELECT `user_id` FROM `".PREFIX."_fave` WHERE user_id = '{$user_id}' AND fave_id = '{$fave_id}'");
				if(!$db->num_rows()){
					$db->query("INSERT INTO `".PREFIX."_fave` SET user_id = '{$user_id}', fave_id = '{$fave_id}', date = NOW()");
					$db->query("UPDATE `".PREFIX."_users` SET favourites_num = favourites_num+1 WHERE user_id = '{$user_id}'");
				} else
					echo 'yes_user';
			} else
				echo 'no_user';
			
			die();
		break;
		
		//################### Удаление юзера из закладок ###################//
		case "delet":
			NoAjaxQuery();
			$fave_id = intval($_POST['fave_id']);

			//Проверям на факт существование этого юзера в закладках, если есть то пропускаем
			$row = $db->super_query("SELECT `user_id` FROM `".PREFIX."_fave` WHERE user_id = '{$user_id}' AND fave_id = '{$fave_id}'");
			if($row){
				$db->query("DELETE FROM `".PREFIX."_fave` WHERE user_id = '{$user_id}' AND fave_id = '{$fave_id}'");
				$db->query("UPDATE `".PREFIX."_users` SET favourites_num = favourites_num-1 WHERE user_id = '{$user_id}'");
			} else
				echo 'yes_user';

			die();
		break;
		
		default:
		
			//################### Вывод людей которые есть в закладках ###################//
			//Выводим кол-во людей в закладках
			$user = $db->super_query("SELECT SQL_CALC_FOUND_ROWS favourites_num FROM `".PREFIX."_users` WHERE user_id = '{$user_id}'");
			
			//Если кто-то есть в заклаках то выводим
			if($user['favourites_num']){
				
				//Загружаем поиск на странице
				$tpl->load_template('fave_search.tpl');
				$tpl->compile('content');
				
				//Выводи из базы
				$sql_ = $db->super_query("SELECT SQL_CALC_FOUND_ROWS tb1.fave_id, tb2.name_lastname, avatar, country_city, last_visit FROM `".PREFIX."_fave` tb1, `".PREFIX."_users` tb2 WHERE tb1.user_id = '{$user_id}' AND tb1.fave_id = tb2.user_id ORDER by `date` ASC LIMIT {$limit_page}, {$gcount}", 1);
				$tpl->load_template('fave.tpl');
				$tpl->result['content'] .= '<table class="food_planner" id="fave_users">';
				foreach($sql_ as $row){
					if($row['avatar'])
						$tpl->set('{ava}', $config['home_url'].'uploads/users/'.$row['fave_id'].'/170_'.$row['avatar']);
					else
						$tpl->set('{ava}', '{theme}/style/img/no_ava_200.png');
						
					$country_city = explode('|', $row['country_city']);
					$tpl->set('{country}', $country_city[0]);
					if($country_city[1])
						$tpl->set('{city}', $country_city[1]);
					else
						$tpl->set('{city}', '');
					
					$tpl->set('{name}', $row['name_lastname']);
					$tpl->set('{user-id}', $row['fave_id']);

					if($row['last_visit'] >= $online_time)
									$tpl->set('{online}', '<font color="#65b045">Online</font>');
								else
									$tpl->set('{online}', '<font color="#dd4b39">Offline</font>');
					
					$tpl->compile('content');
				}
				$tpl->result['content'] .= '</table>';
				navigation($gcount, $user['favourites_num'], $config['home_url'].'fave/page/');
			} else {
				$tpl->load_template('fave_none.tpl');
				$tpl->compile('content');
			}
	}
	$tpl->clear();
	$db->free();
} else {
	$user_speedbar = $lang['no_infooo'];
	msgbox('', $lang['not_logged'], 'info');
}
?>